package lucraft.mods.heroes.ironman.client.models;

import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelRenderer;
import net.minecraft.entity.Entity;

/**
 * NewProject - Undefined
 * Created using Tabula 5.1.0
 */
public class ModelSuitConstructor extends ModelBase {
    public ModelRenderer Base1;
    public ModelRenderer Base2;
    public ModelRenderer Base3;
    public ModelRenderer base4;
    public ModelRenderer base5;
    public ModelRenderer base6;
    public ModelRenderer base7;
    public ModelRenderer base8;
    public ModelRenderer base9;
    public ModelRenderer base10;
    public ModelRenderer base11;
    public ModelRenderer base12;
    public ModelRenderer base13;
    public ModelRenderer base14;
    public ModelRenderer base15;
    public ModelRenderer base16;
    public ModelRenderer base17;
    public ModelRenderer base18;
    public ModelRenderer base19;
    public ModelRenderer base20;
    public ModelRenderer base21;
    public ModelRenderer base22;
    public ModelRenderer base23;
    public ModelRenderer thing1;
    public ModelRenderer thing2;
    public ModelRenderer thing3;
    public ModelRenderer thing4;
    public ModelRenderer thing5;
    public ModelRenderer thing6;
    public ModelRenderer light1;
    public ModelRenderer light2;
    public ModelRenderer light3;
    public ModelRenderer light4;
    public ModelRenderer light5;
    public ModelRenderer light6;
    public ModelRenderer light7;
    public ModelRenderer light8;

    public ModelSuitConstructor() {
        this.textureWidth = 96;
        this.textureHeight = 64;
        this.base16 = new ModelRenderer(this, 0, 0);
        this.base16.setRotationPoint(0.0F, 22.0F, 0.0F);
        this.base16.addBox(9.5F, 0.0F, -5.0F, 1, 2, 10, 0.0F);
        this.base6 = new ModelRenderer(this, 0, 0);
        this.base6.setRotationPoint(0.0F, 22.0F, 0.0F);
        this.base6.addBox(-7.0F, 0.0F, 8.5F, 14, 2, 1, 0.0F);
        this.light5 = new ModelRenderer(this, 55, 0);
        this.light5.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.light5.addBox(-8.5F, -0.2F, -2.9F, 2, 1, 7, 0.0F);
        this.setRotateAngle(light5, 0.0F, 0.7330382858376184F, 0.0F);
        this.base17 = new ModelRenderer(this, 0, 0);
        this.base17.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.base17.addBox(9.5F, 0.0F, -5.0F, 1, 2, 10, 0.0F);
        this.light2 = new ModelRenderer(this, 55, 0);
        this.light2.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.light2.addBox(-8.7F, -0.2F, -3.5F, 2, 1, 7, 0.0F);
        this.thing3 = new ModelRenderer(this, 1, 20);
        this.thing3.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.thing3.addBox(-11.45F, -0.6F, 1.4F, 3, 5, 4, 0.0F);
        this.setRotateAngle(thing3, 0.0F, 0.22759093446006054F, 0.0F);
        this.thing5 = new ModelRenderer(this, 1, 20);
        this.thing5.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.thing5.addBox(8.45F, -0.6F, -5.4F, 3, 5, 4, 0.0F);
        this.setRotateAngle(thing5, 0.0F, 0.22759093446006054F, 0.0F);
        this.thing1 = new ModelRenderer(this, 1, 20);
        this.thing1.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.thing1.addBox(-11.45F, -0.6F, -5.4F, 3, 5, 4, 0.0F);
        this.setRotateAngle(thing1, 0.0F, -0.22759093446006054F, 0.0F);
        this.Base1 = new ModelRenderer(this, 0, 0);
        this.Base1.setRotationPoint(0.0F, 22.0F, 0.0F);
        this.Base1.addBox(-8.5F, 0.0F, -8.5F, 17, 2, 17, 0.0F);
        this.base11 = new ModelRenderer(this, 0, 0);
        this.base11.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.base11.addBox(8.5F, 0.0F, -7.0F, 1, 2, 14, 0.0F);
        this.thing6 = new ModelRenderer(this, 1, 20);
        this.thing6.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.thing6.addBox(8.45F, -0.6F, 1.4F, 3, 5, 4, 0.0F);
        this.setRotateAngle(thing6, 0.0F, -0.22759093446006054F, 0.0F);
        this.light6 = new ModelRenderer(this, 55, 0);
        this.light6.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.light6.addBox(6.5F, -0.2F, -2.9F, 2, 1, 7, 0.0F);
        this.setRotateAngle(light6, 0.0F, -0.7330382858376184F, 0.0F);
        this.light1 = new ModelRenderer(this, 55, 0);
        this.light1.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.light1.addBox(6.7F, -0.2F, -3.5F, 2, 1, 7, 0.0F);
        this.light3 = new ModelRenderer(this, 55, 0);
        this.light3.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.light3.addBox(-3.5F, -0.2F, 6.7F, 7, 1, 2, 0.0F);
        this.base19 = new ModelRenderer(this, 0, 0);
        this.base19.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.base19.addBox(-10.5F, 0.0F, -5.0F, 1, 2, 10, 0.0F);
        this.Base3 = new ModelRenderer(this, 0, 20);
        this.Base3.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.Base3.addBox(-8.5F, 0.0F, -8.5F, 17, 2, 17, 0.0F);
        this.base14 = new ModelRenderer(this, 0, 0);
        this.base14.setRotationPoint(0.0F, 22.0F, 0.0F);
        this.base14.addBox(-5.0F, 0.0F, 9.5F, 10, 2, 1, 0.0F);
        this.base15 = new ModelRenderer(this, 0, 0);
        this.base15.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.base15.addBox(-5.0F, 0.0F, 9.5F, 10, 2, 1, 0.0F);
        this.base13 = new ModelRenderer(this, 0, 0);
        this.base13.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.base13.addBox(-5.0F, 0.0F, -10.5F, 10, 2, 1, 0.0F);
        this.base18 = new ModelRenderer(this, 0, 0);
        this.base18.setRotationPoint(0.0F, 22.0F, 0.0F);
        this.base18.addBox(-10.5F, 0.0F, -5.0F, 1, 2, 10, 0.0F);
        this.base10 = new ModelRenderer(this, 0, 0);
        this.base10.setRotationPoint(0.0F, 22.0F, 0.0F);
        this.base10.addBox(8.5F, 0.0F, -7.0F, 1, 2, 14, 0.0F);
        this.base7 = new ModelRenderer(this, 0, 0);
        this.base7.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.base7.addBox(-7.0F, 0.0F, 8.5F, 14, 2, 1, 0.0F);
        this.Base2 = new ModelRenderer(this, 0, 47);
        this.Base2.setRotationPoint(0.0F, 21.0F, 0.0F);
        this.Base2.addBox(-8.0F, 0.0F, -8.0F, 16, 1, 16, 0.0F);
        this.base9 = new ModelRenderer(this, 0, 0);
        this.base9.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.base9.addBox(-9.5F, 0.0F, -7.0F, 1, 2, 14, 0.0F);
        this.base5 = new ModelRenderer(this, 0, 0);
        this.base5.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.base5.addBox(-7.0F, 0.0F, -9.5F, 14, 2, 1, 0.0F);
        this.base23 = new ModelRenderer(this, 0, 59);
        this.base23.setRotationPoint(0.0F, 21.0F, 0.0F);
        this.base23.addBox(-5.0F, 0.0F, -9.0F, 10, 1, 1, 0.0F);
        this.thing2 = new ModelRenderer(this, 1, 20);
        this.thing2.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.thing2.addBox(-2.1F, -0.6F, -11.2F, 4, 5, 3, 0.0F);
        this.light4 = new ModelRenderer(this, 55, 0);
        this.light4.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.light4.addBox(-3.5F, -0.2F, -8.7F, 7, 1, 2, 0.0F);
        this.light7 = new ModelRenderer(this, 55, 0);
        this.light7.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.light7.addBox(-8.5F, -0.2F, -4.0F, 2, 1, 7, 0.0F);
        this.setRotateAngle(light7, 0.0F, -0.7330382858376184F, 0.0F);
        this.base4 = new ModelRenderer(this, 0, 0);
        this.base4.setRotationPoint(0.0F, 22.0F, 0.0F);
        this.base4.addBox(-7.0F, 0.0F, -9.5F, 14, 2, 1, 0.0F);
        this.base22 = new ModelRenderer(this, 0, 59);
        this.base22.setRotationPoint(0.0F, 21.0F, 0.0F);
        this.base22.addBox(-5.0F, 0.0F, 8.0F, 10, 1, 1, 0.0F);
        this.base21 = new ModelRenderer(this, 0, 53);
        this.base21.setRotationPoint(0.0F, 21.0F, 0.0F);
        this.base21.addBox(-9.0F, 0.0F, -5.0F, 1, 1, 10, 0.0F);
        this.light8 = new ModelRenderer(this, 55, 0);
        this.light8.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.light8.addBox(6.5F, -0.2F, -4.0F, 2, 1, 7, 0.0F);
        this.setRotateAngle(light8, 0.0F, 0.7330382858376184F, 0.0F);
        this.base20 = new ModelRenderer(this, 0, 53);
        this.base20.setRotationPoint(0.0F, 21.0F, 0.0F);
        this.base20.addBox(8.0F, 0.0F, -5.0F, 1, 1, 10, 0.0F);
        this.thing4 = new ModelRenderer(this, 1, 20);
        this.thing4.setRotationPoint(0.0F, 19.5F, 0.0F);
        this.thing4.addBox(-2.0F, -0.6F, 8.2F, 4, 5, 3, 0.0F);
        this.base12 = new ModelRenderer(this, 0, 0);
        this.base12.setRotationPoint(0.0F, 22.0F, 0.0F);
        this.base12.addBox(-5.0F, 0.0F, -10.5F, 10, 2, 1, 0.0F);
        this.base8 = new ModelRenderer(this, 0, 0);
        this.base8.setRotationPoint(0.0F, 22.0F, 0.0F);
        this.base8.addBox(-9.5F, 0.0F, -7.0F, 1, 2, 14, 0.0F);
    }

    @Override
    public void render(Entity entity, float f, float f1, float f2, float f3, float f4, float f5) { 
        this.base16.render(f5);
        this.base6.render(f5);
        this.light5.render(f5);
        this.base17.render(f5);
        this.light2.render(f5);
        this.thing3.render(f5);
        this.thing5.render(f5);
        this.thing1.render(f5);
        this.Base1.render(f5);
        this.base11.render(f5);
        this.thing6.render(f5);
        this.light6.render(f5);
        this.light1.render(f5);
        this.light3.render(f5);
        this.base19.render(f5);
        this.Base3.render(f5);
        this.base14.render(f5);
        this.base15.render(f5);
        this.base13.render(f5);
        this.base18.render(f5);
        this.base10.render(f5);
        this.base7.render(f5);
        this.Base2.render(f5);
        this.base9.render(f5);
        this.base5.render(f5);
        this.base23.render(f5);
        this.thing2.render(f5);
        this.light4.render(f5);
        this.light7.render(f5);
        this.base4.render(f5);
        this.base22.render(f5);
        this.base21.render(f5);
        this.light8.render(f5);
        this.base20.render(f5);
        this.thing4.render(f5);
        this.base12.render(f5);
        this.base8.render(f5);
    }

    public void renderModel(float f) { 
        this.base16.render(f);
        this.base6.render(f);
        this.light5.render(f);
        this.base17.render(f);
        this.light2.render(f);
        this.thing3.render(f);
        this.thing5.render(f);
        this.thing1.render(f);
        this.Base1.render(f);
        this.base11.render(f);
        this.thing6.render(f);
        this.light6.render(f);
        this.light1.render(f);
        this.light3.render(f);
        this.base19.render(f);
        this.Base3.render(f);
        this.base14.render(f);
        this.base15.render(f);
        this.base13.render(f);
        this.base18.render(f);
        this.base10.render(f);
        this.base7.render(f);
        this.Base2.render(f);
        this.base9.render(f);
        this.base5.render(f);
        this.base23.render(f);
        this.thing2.render(f);
        this.light4.render(f);
        this.light7.render(f);
        this.base4.render(f);
        this.base22.render(f);
        this.base21.render(f);
        this.light8.render(f);
        this.base20.render(f);
        this.thing4.render(f);
        this.base12.render(f);
        this.base8.render(f);
    }
    
    /**
     * This is a helper function from Tabula to set the rotation of model parts
     */
    public void setRotateAngle(ModelRenderer modelRenderer, float x, float y, float z) {
        modelRenderer.rotateAngleX = x;
        modelRenderer.rotateAngleY = y;
        modelRenderer.rotateAngleZ = z;
    }
}
